@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Staatliches&display=swap');
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700');


body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background-color: rgb(247, 243, 238);
}
/*-----logo------*/
.logo{
    display: inline;
    border: 10px double black;
    padding: 3px;
    font-family: Dancing Script;
    background-color: antiquewhite;
    color: #000;
    font-size: 25px;
}

/*--------container-----------*/
.container{
    text-align: center;
    margin: 20px auto;
    padding: 30px;
    justify-content: center;
    font-family: Dancing Script;
}

section {
    padding: 30px 0;
    margin: 50px;
    background: #fff;
    text-align: center;
}

h2{
    font-weight: 500;
    letter-spacing: 5px;
}


/*--------header navbars-------*/
header{
    font-family: nunito;
    position: fixed;
    top: 0;
    left: 0;
    padding: 10px 100px;
    background:wheat;
    width: 100%;
    box-sizing: border-box;
    z-index: 100;
}
header {
    color: #333;
    line-height: 50px;
    font-size: 20px;
    float: left;
    font-weight: bold;
}
header .input{
    width: 300px;
}
header nav{
    z-index: 100;
    float: right;
}
header nav ul{
    margin: 0;
    padding: 0;
    display: flex;
}
nav ul li.submenu:before{
    content: '\f0d7';
    font-family: fontAwesome;
    position: absolute;
    line-height: 50px;
    color: #333;
    right: 5px;
}
nav ul li.active.submenu:before{
    content: '\f0d8';
}
nav ul li{
    list-style: none;
    position: relative;
}
nav ul li ul{
    position: absolute;
    left: 0;
    background: wheat;
    display: none;
}
nav ul li.active ul{
    display: block;
}
nav ul li ul li{
    display:block;
    width:200px;
}

header nav ul li a{
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
    color: #333;
    font-size: 20px;
    text-decoration: none;
    display: block;
}
header nav ul li a:hover,
header nav ul li a.active{
    color: #fff;
    background: rgb(243, 185, 185);
}
.menu-toggle{
    color: #fff;
    float: right;
    line-height: 50px;
    font-size: 24px;
    cursor: pointer;
    display: none;
}

/*----------searchbox----------------------*/
.buscar-caja {
    border: none;
    position: fixed;
    top: 35px;
    left: 5%;
    transform: translate( 0%, 50%);
    background: antiquewhite;
    height: 60px;
    border-radius: 40px;
    padding: 10px;
    margin: 50px;
    z-index: 99;
  }
  .buscar-caja:hover > .buscar-txt {
    width: 260px;
    padding: 0px;
    margin-left: 12px;
  }
  .buscar-caja:hover > .buscar-btn {
    background: white;
    color: antiquewhite;
    border: none;
  }
  .buscar-btn {
    color: #333;
    float: right;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s;
    cursor: pointer;
  }
  .buscar-btn > i {
    border: none;
    font-size: 20px;
  }
  .buscar-txt {
    border: none;
    background: none;
    outline: none;
    float: left;
    padding-bottom: 10px;
    color: #333;
    font-size: 16px;
    transition: 0.4s;
    line-height: 40px;/* mojiwo mannnakani*/
    width: 0px;/*kokode hoverdenobirukannzi */
    font-weight: bold;
  }

/*---------------------------------*/  

.form{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    
}
.loginform{
    z-index: 9999999;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
    margin: auto;
    background: rgb(251, 252, 251);
    padding: 50px 40px;
}
.loginform .header{
    letter-spacing: 5px;
    font-size: 30px;
    margin-bottom: 40px;
    font-family: Dancing Script;
}
.input-field, form .button{
    margin: 25px 0;
    position: relative;
    height: 50px;
    width: 100%;
}
.input-field input{
    height: 100%;
    width: 100%;
    border: 1px solid silver;
    padding-left: 15px;
    outline: none;
    font-size: 19px;
    transition: .4s;
}
.input-field .fa-eye {
    position: absolute;
    margin:15px 0 0 -45px;
    font-size: 20px;
    color: black;
}
.input-field .fa-user-circle{
    position: absolute;
    margin:15px 0 0 -43px;
    font-size: 20px;
    color: black;
}
.form input:focus{
    border: 1px solid #1da1f2;
}
.input-field label{
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    pointer-events:none;
    color: grey;
    font-size: 18px;
    transition: .4s;
}
input:focus ~ label,
input:valid ~ label{
    transform: translateY(-33px);
    background: white;
    font-size: 16px;
    color: #1da1f2;
}
#close,
 .new{
    float: right;
}
.error{
    position: relative;
    bottom: -80px;
}